<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The variable element provides information on the scripting variables defined by this tag.  It is a (translation time) error for an action that has one or more variable subelements to have a TagExtraInfo class that returns a non-null object.  The subelements of variable are of the form:  name-given -- The variable name as a constant  name-from-attribute -- The name of an attribute whose (translation time) value will give the name of the variable. One of name-given or namefrom-attribute is required.  variable-class -- Name of the class of the variable. java.lang.String is default.  declare -- Whether the variable is declared or not. True is the default.  scope -- The scope of the scripting variable defined. NESTED is default.">
<meta name="KeyWords" content="variables,Role variables,j2ee,model j2ee,">
<a href="../root.html" target=_top><IMG SRC="../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b><IMG SRC="../webviewer/pub.gif"BORDER=0>variables,&nbsp;role&nbsp;for&nbsp;Element&nbsp;<a href="../cat39ee0e7f014d/cat39a6ba5f0070/class398965a900b3.htm" target="contents_frame">JSPVariable</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;variable&nbsp;element&nbsp;provides&nbsp;information&nbsp;on&nbsp;the&nbsp;scripting&nbsp;variables&nbsp;defined&nbsp;by&nbsp;this&nbsp;tag.
<BR>It&nbsp;is&nbsp;a&nbsp;(translation&nbsp;time)&nbsp;error&nbsp;for&nbsp;an&nbsp;action&nbsp;that&nbsp;has&nbsp;one&nbsp;or&nbsp;more&nbsp;variable&nbsp;subelements&nbsp;to&nbsp;have&nbsp;a&nbsp;TagExtraInfo&nbsp;class&nbsp;that&nbsp;returns&nbsp;a&nbsp;non-null&nbsp;object.
<BR>The&nbsp;subelements&nbsp;of&nbsp;variable&nbsp;are&nbsp;of&nbsp;the&nbsp;form:
<BR>name-given&nbsp;--&nbsp;The&nbsp;variable&nbsp;name&nbsp;as&nbsp;a&nbsp;constant
<BR>name-from-attribute&nbsp;--&nbsp;The&nbsp;name&nbsp;of&nbsp;an&nbsp;attribute&nbsp;whose&nbsp;(translation&nbsp;time)&nbsp;value&nbsp;will&nbsp;give&nbsp;the&nbsp;name&nbsp;of&nbsp;the&nbsp;variable.&nbsp;One&nbsp;of&nbsp;name-given&nbsp;or&nbsp;namefrom-attribute&nbsp;is&nbsp;required.
<BR>variable-class&nbsp;--&nbsp;Name&nbsp;of&nbsp;the&nbsp;class&nbsp;of&nbsp;the&nbsp;variable.&nbsp;java.lang.String&nbsp;is&nbsp;default.
<BR>declare&nbsp;--&nbsp;Whether&nbsp;the&nbsp;variable&nbsp;is&nbsp;declared&nbsp;or&nbsp;not.&nbsp;True&nbsp;is&nbsp;the&nbsp;default.
<BR>scope&nbsp;--&nbsp;The&nbsp;scope&nbsp;of&nbsp;the&nbsp;scripting&nbsp;variable&nbsp;defined.&nbsp;NESTED&nbsp;is&nbsp;default.
<BR></font><BR><BR>
</body>
</html>
